/**
 * generated by Xtext 2.18.0.M3
 */
package tdt4250.ra.validation;

import org.eclipse.xtext.validation.Check;
import tdt4250.ra.rax1.Person;
import tdt4250.ra.rax1.Rax1Package;
import tdt4250.ra.validation.AbstractRax1Validator;

/**
 * This class contains custom validation rules.
 * 
 * See https://www.eclipse.org/Xtext/documentation/303_runtime_concepts.html#validation
 */
@SuppressWarnings("all")
public class Rax1Validator extends AbstractRax1Validator {
  public static final String INVALID_NAME = "invalidName";
  
  @Check
  public void checkPersonName(final Person person) {
    final String name = person.getName();
    for (int i = 0; (i < name.length()); i++) {
      boolean _isLetter = Character.isLetter(name.charAt(i));
      boolean _not = (!_isLetter);
      if (_not) {
        this.warning("Name should start with a capital", 
          Rax1Package.Literals.PERSON__NAME, 
          Rax1Validator.INVALID_NAME);
      }
    }
  }
}
